Subject: Re: [PATCH] po/hi.po: Add Hindi Translation

From: Ramkumar Ramachandra <[email-masked]>
Date: Wed, 8 Sep 2010 20:20:10 +0530

Hi Antriksh,

Antriksh Pany writes:
> Some more comments (spotted a few more possible improvements) and
> responses inline.

Thanks for additionally clearing my doubts :)

> >> >  #, c-format
> >> >  msgid "cannot copy '%s' to '%s'"
> >> > -msgstr "'%s' का नकल '%s' नहीं बना सके"
> >> > +msgstr "'%s' का अनुकृति '%s' में नहीं कर सके"
> >> ka -> ki
> >
> > Ah, yes. Gender ambiguity in Hindi. I also felt it should be की. Can
> > you explain why though? '%s' a noun here; have you chosen it to be
> > feminine? But अनुकृति is a noun as well, and quite obviously
> > feminine. Is that why?
> 
> Yes, अनुकृति being feminine is what causes 'ki' to be used here.

Got it.

> >> >  #, c-format
> >> >  msgid "ignoring template %s"
> >> > -msgstr "टेम्पलेट को उपेक्षा कर रहे है: %s"
> >> > +msgstr "टेम्पलेट %s का उपेक्षा कर रहे है"
> >> ka -> ki
> >
> > Similar confusion- I'd like an explanation if possible. उपेक्षा is a
> > verb, and I'm not sure how it transforms when gender is afflicted on
> > it. I have chosen टेम्पलेट to be masculine- do you think it should be
> > feminine?
> 
> Again, उपेक्षा is determining the gender usage.
> Also, not sure if this is a good word to use. उपेक्षा typically has a negative
> connotation, so does not seem to fit well here. अनदेखा (while not being
> perfect either) may be better?

Actually, this was my intent. I considered अनदेखा in the beginning, but
I thought उपेक्षा was closer. अनदेखा sounds like "didn't look", but I was
aiming for a more aggressive word for conciously ignoring.

> >> >  #, c-format
> >> >  msgid "insanely long template path %s"
> >> > -msgstr "टेम्पलेट का आकार बहुत लंबा है: %s"
> >> > +msgstr "टेम्पलेट %s का आकार बहुत लंबा है"
> >> Again: bahut -> atyant. And again, 'है' could be dropped perhaps.
> >
> > Ok.
> 
> On second thoughts, आकार is definitely not close enough to 'path'.
> Can we think of something else?

A literal translation like पथ is probably not the way to go. राह is
only marginally better. Although आकार literally means "form", I also
think it's not close enough. If we run out of ideas, we have to
transliterate.

> >> >  #, c-format
> >> >  msgid "not copying templates of a wrong format version %d from '%s'"
> >> > -msgstr "'%s' से गलत स्वरूप संस्करण %d का टेम्पलेट नकल नहीं कर रहे है"
> >> > +msgstr "'%s' से गलत स्वरूप संस्करण %d के टेम्पलेट्स के नकल नहीं कर रहे
> >> > है"
> >> Had changed नकल to अनुकृति earlier. Not doing that here?
> >
> > While नकल is definitely the easier word to use, it's a verb. अनुकृति is
> > a noun on the other hand- I had to introduce it into the previous
> > sentence because "Make a नकल of X in Y" would be technically
> > incorrect.
> >
> 
> 'टेम्पलेट्स के ' -> 'ki' would have to be used here. 'नकल' is determining
> gender here :)

Nice catch :)

> Well, I really thought that the purpose of translation is more utilitarian
> than anything else. And I would still count myself among those friends
> of yours who either don't see many Indians using this, or see some value
> only if words which don't have a direct reference in Hindi are transliterated
> :)
> 
> There are other languages where effort is taken to find equivalents to modern
> terms, and hence don't need a lot of transliterations. That, unfortunately, is
> not the case with Hindi :(

Yeah, translation definitely hasn't caught up here- especially with
everyone aggressively pursuing English education.

> Really appreciate the effort you have put in on this, despite not being
> a native Hindi speaker. Sorry for so many nits :)

Thanks for the nits. Being a grammar nazi can't be easy :)
I'll submit another revision with some amendments soon.

-- Ram